<?php
    //Agregar la clase de cada empresa segun la variable de alguna session que antes se cargue al consultar usuario, que ese si seria fijo.
    require_once "./pdocontroller.php";
    
    $DBclase="PDOCONTROLLER";
    $DBconex=new $DBclase;
    //$gconn=$DBconex->connectDB();
    
    $syseli=" ";

    if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
	if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="modulo";}
	if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
    $query = "SELECT moddet.*,modcmp.titmod,modcmp.obsmod,modcmp.nommod FROM moddet,modcmp where moddet.modulo=modcmp.nommod  ";
    $query = $query." and modcmp.nommod= :mod ";
    
       if($accion=="e"){
           $query = $query." moddet.modulo= :mod and moddet.chkpub!= :pub order by moddet.bloque,moddet.orden,moddet.nombre ";
           $parametros=array(":est"=>$syseli,":pub"=>2,":mod"=>$modulo);  
        }
        if($accion=="r" || $accion=="l"){
            $query = $query." and moddet.modulo= :mod and moddet.chkinf= :inf order by moddet.bloque,moddet.orden,moddet.nombre" ;
            $parametros=array(":est"=>$syseli,":mod"=>$modulo,":inf"=>1);  
        }
        if($accion!="e" && $accion!="r" && $accion!="lat" && $accion!="l"){
        //    $query = $query." and moddet.modulo= :mod and moddet.chkpub= :pub and moddet.chkinf= :inf order by moddet.bloque,moddet.orden,moddet.nombre" ;
        //    $parametros=array(":est"=>$syseli,":pub"=>1,":inf"=>0,":mod"=>$modulo); 
        }
        if($accion=="lat"){
        //    $query =$query." and moddet.modulo= :mod and moddet.chkpub= :pub and moddet.chklat= :lat order by moddet.bloque,moddet.orden,moddet.nombre" ;
        //    $parametros=array(":est"=>$syseli,":pub"=>1,":lat"=>1,":mod"=>$modulo); 
        }
        if($accion==""){
            $parametros=array(":mod"=>$modulo);  
        }


        try{
            $datos=$DBconex->executeconsulta($query,$parametros);
            echo json_encode($datos);
            return;
            if(is_integer($datos)){
                echo "ocurrio un error";
            }else{
                if(isset($datos) && !empty($datos) && sizeof($datos)>0){
                    foreach($datos as $qdatos){
                        echo $qdatos["titmod"].$qdatos["nombre"]."<br>";
                    }
                }
            }
        }catch(Exception $ex){
            echo $ex->getMessage();

        }
        echo "final";        
    
?>